textures/ef_desolate/babel-ruststain
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/babel-ruststain.tga
		blendfunc filter
	}
}

textures/ef_desolate/babel-ruststain2
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/babel-ruststain2.tga
		blendfunc filter
	}
}

textures/ef_desolate/babel-treads
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/babel-treads.tga
		blendfunc filter
	}
}

textures/ef_desolate/skybox
{
	qer_editorimage textures/ef_desolate/sky_clouds.tga
	q3map_sunExt 1 .96 .87 800 325 80 2 16
	q3map_skyLight 800 4
	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	
	skyparms textures/ef_desolate/env/sky 512 -
	{	
		map textures/ef_desolate/sky_clouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.0015 -0.0003
		rgbGen identityLighting
	}
	{
		map textures/ef_desolate/sky_mask.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform	0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}

textures/ef_desolate/babel-rusttrim
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/babel-rusttrim.tga
		blendfunc filter
	}
}

textures/ef_desolate/bulb_white_s
{
	qer_editorimage textures/ef_desolate/bulb_white.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/ef_desolate/bulb_white.tga
	}
}

textures/ef_desolate/glass_02_s
{
	qer_editorimage textures/ef_desolate/scratchglass.jpg
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/ef_desolate/scratchglass.jpg
		blendfunc add
		rgbGen const ( 0.1 0.1 0.1 )
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/ef_desolate/e8_base1c_nonsolid
{
	qer_editorimage textures/ef_desolate/e8_base1c.jpg
	surfaceparm nonsolid
	{
		map textures/ef_desolate/e8_base1c.jpg
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}

textures/ef_desolate/dcl_moss1
{
        qer_editorimage textures/ef_desolate/ter_moss1.tga
	q3map_nonplanar 
	q3map_shadeangle 120 
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm nomarks
	polygonoffset
	{
		map textures/ef_desolate/ter_moss1.tga
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/ef_desolate/grey_hose_s
{
	qer_editorimage textures/ef_desolate/blackwall.tga
	surfaceparm nonsolid
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/ef_desolate/blackwall.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ef_desolate/vine06
{
	qer_editorimage textures/ef_desolate/vine06.tga
	q3map_backShader textures/ef_desolate/vine06_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/ef_desolate/vine06.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ef_desolate/vine07
{
	qer_editorimage textures/ef_desolate/vine07.tga
	q3map_backShader textures/ef_desolate/vine07_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/ef_desolate/vine07.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ef_desolate/vine07_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ef_desolate/vine07.tga
		rgbGen vertex
		alphaFunc GE128		
	}	
}

textures/ef_desolate/vine06_back 
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ef_desolate/vine06.tga
		rgbGen vertex
		alphaFunc GE128		
	}	
}

textures/ef_desolate/babel-ruststain3
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/babel-ruststain3.tga
		blendfunc filter
	}
}

textures/ef_desolate/e6bsegrtflr256_s
{
	qer_editorimage textures/ef_desolate/e6bsegrtflr256.tga
	surfaceparm trans
	surfaceparm nomarks
	cull none

	{
		map textures/ef_desolate/e6bsegrtflr256.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}

textures/ef_desolate/proto_fence
{
	qer_editorimage textures/ef_desolate/objects_fence.tga
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm trans		
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/ef_desolate/objects_fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_desolate/babel-windows
{
	qer_editorimage textures/ef_desolate/babel-windows.tga
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_desolate/babel-windows.tga
		blendFunc GL_DST_COLOR GL_ZERO
		//blendFunc blend
		rgbGen identity
	}
	{
		map textures/ef_desolate/babel-windows.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ef_desolate/jher_flood_d_blood1
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/jher_flood_d_blood1.jpg
		blendfunc filter
	}
}

textures/ef_desolate/extin-1
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/extin-1.jpg
		blendfunc filter
	}
}

textures/ef_desolate/donotenter
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/donotenter.jpg
		blendfunc filter
	}
}

textures/ef_desolate/keepout
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/keepout.jpg
		blendfunc filter
	}
}

textures/ef_desolate/corrosive
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/corrosive.tga
		blendfunc filter
	}
}


textures/ef_desolate/translight2
{
	qer_editorimage textures/ef_desolate/translight.jpg
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/ef_desolate/translight.jpg
		tcMod Scroll .1 0
		blendFunc add
	}
}

textures/ef_desolate/decal_burn01
{ 
	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip
	{
		map textures/ef_desolate/decal_burn01.tga
	   	blendfunc filter
	}
}

textures/ef_desolate/decal_cracks
{ 
	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip
	{
		map textures/ef_desolate/decal_cracks.tga
		blendfunc filter
	}
}



textures/ef_desolate/decal_dirt
{ 
	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip
	{
		map textures/ef_desolate/decal_dirt.tga
		blendfunc filter
	}
}

//Dirt Decal2

textures/ef_desolate/decal_dirt2
{ 
	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip
	{
		map textures/ef_desolate/decal_dirt2.tga
	   	blendfunc filter
	}
}

//Dirt Decal3

textures/ef_desolate/decal_dirt3
{ 
	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip
	{
		map textures/ef_desolate/decal_dirt3.tga
	   	blendfunc filter
	}
}

//Dirt Decal4

textures/ef_desolate/decal_dirt4
{ 
	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip
	{
		map textures/ef_desolate/decal_dirt4.tga
	   	blendfunc filter
	}
}

//Dirt Decal5

textures/ef_desolate/decal_dirt5
{ 
	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip
	{
		map textures/ef_desolate/decal_dirt5.tga
		blendfunc filter
	}
}

//Dirt Decal6

textures/ef_desolate/decal_dirt6
{ 
	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip
	{
		map textures/ef_desolate/decal_dirt6.tga
	   	blendfunc filter
	}
}

textures/ef_desolate/graphiti01
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/graphiti01.tga
		blendfunc filter
	}
}

textures/ef_desolate/graphiti02
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/graphiti02.tga
		blendfunc filter
	}
}

textures/ef_desolate/graphiti03
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/graphiti03.tga
		blendfunc filter
	}
}

textures/ef_desolate/graphiti04
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/graphiti04.tga
		blendfunc filter
	}
}

textures/ef_desolate/graphiti05
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/graphiti05.tga
		blendfunc filter
	}
}

textures/ef_desolate/graphiti06
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/graphiti06.tga
		blendfunc filter
	}
}

textures/ef_desolate/graphiti07
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/graphiti07.tga
		blendfunc filter
	}
}


textures/ef_desolate/tag1
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/tag1.tga
		blendfunc filter
	}
}

textures/ef_desolate/tag2
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/tag2.tga
		blendfunc filter
	}
}

textures/ef_desolate/tag3
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/tag3.tga
		blendfunc filter
	}
}

textures/ef_desolate/tag4
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/tag4.tga
		blendfunc filter
	}
}

textures/ef_desolate/ruststain1
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/ruststain1.tga
		blendfunc filter
	}
}

textures/ef_desolate/ruststain2
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/ruststain2.tga
		blendfunc filter
	}
}

textures/ef_desolate/trak
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/ef_desolate/trak.tga
		blendfunc filter
	}
}

//
models/mapobjects/ef_desolate/rod_s
{
	{
		map models/mapobjects/ef_desolate/rod.tga
		//rgbGen lightingDiffuse
	}
	{
		map models/mapobjects/ef_desolate/ref_map.tga
		blendfunc filter
		rgbGen identity
		tcGen environment 
	}
}

models/mapobjects/ef_desolate/spin_s
{
	{
		map models/mapobjects/ef_desolate/spin.tga
		rgbGen lightingDiffuse
	}
	{
		map models/mapobjects/ef_desolate/ref_map.tga
		blendfunc filter
		rgbGen identity
		tcGen environment 
	}
}

models/mapobjects/ef_desolate/Lumiere
{
	qer_editorimage models/mapobjects/ef_desolate/Lumiere.jpg
	qer_trans .2
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_desolate/KOsAD_FlammeBougie
{
	qer_editorimage textures/ef_desolate/KOsAD_FlammeBougie1.jpg
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	deformvertexes autosprite2
	{
		animmap 50 textures/ef_desolate/KOsAD_FlammeBougie1.tga textures/ef_desolate/KOsAD_FlammeBougie2.tga textures/ef_desolate/KOsAD_FlammeBougie3.tga textures/ef_desolate/KOsAD_FlammeBougie4.tga textures/ef_desolate/KOsAD_FlammeBougie5.tga textures/ef_desolate/KOsAD_FlammeBougie6.tga textures/ef_desolate/KOsAD_FlammeBougie7.tga textures/ef_desolate/KOsAD_FlammeBougie8.tga
		blendfunc add
	}
}

models/mapobjects/ef_desolate/KOsAD_FlammeBougie
{
	q3map_cloneshader textures/ef_desolate/KOsAD_FlammeBougie
	q3map_surfacelight 50000
	q3map_lightrgb .9 .85 .6
	q3map_backsplash 75 32
	{
		map $lightmap
		blendfunc filter
	}
}
